getEncoding {XML} | R Documentation

## Determines the encoding for an XML document or node

### Description

This function and its methods are intended to return the encoding of n XML . It is similar to `Encoding` but currently restricted to XML nodes and documents.

### Usage

    getEncoding(obj, ...)

### Arguments

`obj` | the object whose encoding is being queried.
`...` | any additional parameters which can be customized by the methods.

### Value

A character vector of length 1 giving the encoding of the XML document.

### Author(s)

Duncan Temple Lang

### Examples

      f = system.file("exampleData", "charts.svg", package = "XML")
      doc = xmlParse(f)
      getEncoding(doc)
      n = getNodeSet(doc, "//g/text")[[1]]
      getEncoding(n)

      f = system.file("exampleData", "iTunes.plist", package = "XML")
      doc = xmlParse(f)
      getEncoding(doc)

[Package XML version 3.98-1.4 Index]